import { IndividualTreasureTable, HoardTresureTable } from './treasureService';

let individualTreasureData: IndividualTreasureTable[] = [
  {
    name: 'Individual Treasure: Challence 0-4',
    notes: '',
    tags: ['Individual Treasure', 'CR0','CR1','CR2', 'CR3', 'CR4', 'Challenge 0-4', 'treasure'],
    dice: [100],
    possibleCoinRewards: [
      {
        keys: [1,30],
        coinCalc: [
          {
            type: 'CP',
            rollCount: 5,
            diceType: 6,
            multiplier: 1,
            avg: 17
          }
        ]
      },
      {
        keys: [31,60],
        coinCalc: [
          {
            type: 'SP',
            rollCount: 4,
            diceType: 6,
            multiplier: 1,
            avg: 14
          }
        ]
      },
      {
        keys: [61,70],
        coinCalc: [
          {
            type: 'EP',
            rollCount: 3,
            diceType: 6,
            multiplier: 1,
            avg: 10
          }
        ]
      },
      {
        keys: [71,95],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 3,
            diceType: 6,
            multiplier: 1,
            avg: 10
          }
        ]
      },
      {
        keys: [96,100],
        coinCalc: [
          {
            type: 'PP',
            rollCount: 1,
            diceType: 6,
            multiplier: 1,
            avg: 3
          }
        ]
      }
    ]
  },
  {
    name: 'Individual Treasure: Challence 5-10',
    notes: '',
    tags: ['Individual Treasure', 'CR5','CR6','CR7', 'CR8', 'CR9', 'CR10', 'Challenge 5-10', 'treasure'],
    dice: [100],
    possibleCoinRewards: [
      {
        keys: [1,30],
        coinCalc: [
          {
            type: 'CP',
            rollCount: 4,
            diceType: 6,
            multiplier: 100,
            avg: 1400
          },
          {
            type: 'EP',
            rollCount: 1,
            diceType: 6,
            multiplier: 10,
            avg: 35
          }
        ]
      },
      {
        keys: [31,60],
        coinCalc: [
          {
            type: 'SP',
            rollCount: 6,
            diceType: 6,
            multiplier: 10,
            avg: 210
          },
          {
            type: 'GP',
            rollCount: 2,
            diceType: 6,
            multiplier: 10,
            avg: 70
          }
        ]
      },
      {
        keys: [61,70],
        coinCalc: [
          {
            type: 'EP',
            rollCount: 3,
            diceType: 6,
            multiplier: 10,
            avg: 105
          },
          {
            type: 'GP',
            rollCount: 2,
            diceType: 6,
            multiplier: 10,
            avg: 70
          }
        ]
      },
      {
        keys: [71,95],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 4,
            diceType: 6,
            multiplier: 10,
            avg: 140
          }
        ]
      },
      {
        keys: [96,100],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 2,
            diceType: 6,
            multiplier: 10,
            avg: 70
          },
          {
            type: 'PP',
            rollCount: 2,
            diceType: 6,
            multiplier: 1,
            avg: 10
          }
        ]
      }
    ]
  },
  {
    name: 'Individual Treasure: Challence 11-16',
    notes: '',
    tags: ['Individual Treasure', 'CR11', 'CR12', 'CR13', 'CR14', 'CR15', 'CR16', 'Challenge 11-16', 'treasure'],
    dice: [100],
    possibleCoinRewards: [
      {
        keys: [1,20],
        coinCalc: [
          {
            type: 'SP',
            rollCount: 4,
            diceType: 6,
            multiplier: 100,
            avg: 1400
          },
          {
            type: 'GP',
            rollCount: 1,
            diceType: 6,
            multiplier: 100,
            avg: 350
          }
        ]
      },
      {
        keys: [21,35],
        coinCalc: [
          {
            type: 'EP',
            rollCount: 1,
            diceType: 6,
            multiplier: 100,
            avg: 350
          },
          {
            type: 'GP',
            rollCount: 1,
            diceType: 6,
            multiplier: 100,
            avg: 350
          }
        ]
      },
      {
        keys: [36,75],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 2,
            diceType: 6,
            multiplier: 100,
            avg: 700
          },
          {
            type: 'PP',
            rollCount: 1,
            diceType: 6,
            multiplier: 10,
            avg: 35
          }
        ]
      },
      {
        keys: [76,100],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 2,
            diceType: 6,
            multiplier: 100,
            avg: 700
          },
          {
            type: 'EP',
            rollCount: 2,
            diceType: 6,
            multiplier: 10,
            avg: 70
          }
        ]
      }
    ]
  },
  {
    name: 'Individual Treasure: Challence 17+',
    notes: '',
    tags: ['Individual Treasure', 'CR17', 'CR18', 'CR19', 'CR20', 'CR21', 'CR22', 'Challenge 17+', 'treasure'],
    dice: [100],
    possibleCoinRewards: [
      {
        keys: [1,15],
        coinCalc: [
          {
            type: 'EP',
            rollCount: 2,
            diceType: 6,
            multiplier: 1000,
            avg: 7000
          },
          {
            type: 'GP',
            rollCount: 8,
            diceType: 6,
            multiplier: 100,
            avg: 2800
          }
        ]
      },
      {
        keys: [16,55],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 1,
            diceType: 6,
            multiplier: 1000,
            avg: 3500
          },
          {
            type: 'PP',
            rollCount: 1,
            diceType: 6,
            multiplier: 100,
            avg: 350
          }
        ]
      },
      {
        keys: [56,100],
        coinCalc: [
          {
            type: 'GP',
            rollCount: 1,
            diceType: 6,
            multiplier: 1000,
            avg: 3500
          },
          {
            type: 'PP',
            rollCount: 2,
            diceType: 6,
            multiplier: 100,
            avg: 700
          }
        ]
      }
    ]
  },
];

let hoardTreasureData: HoardTresureTable[] = [

];

export {
  individualTreasureData
}
